# $Revision: 1.73 $, $Date: 2008/10/01 11:40:51 $
Summary:	NNTP server for small sites
Summary(pl.UTF-8):	Serwer NNTP dla małych hostów
Summary(pt_BR.UTF-8):	Cliente / Servidor USENET para pequenos sites
Name:		leafnode
Version:	1.11.6
Release:	1
License:	distributable
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/leafnode/%{name}-%{version}.tar.bz2
# Source0-md5:	5a083968dbacc3d6f6d1013241c23e39
Source1:	%{name}.texpire
Source2:	%{name}.config
Source3:	%{name}.filters
Source4:	%{name}.rc-inetd
Patch0:		%{name}-config.patch
URL:		http://www.leafnode.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	inetdaemon
Requires:	rc-inetd
Provides:	nntpserver
Obsoletes:	leafnode+
Conflicts:	inn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Leafnode is a USENET package intended for small sites, where there are
few users and little disk space, but where a large number of groups is
desired.

The design of leafnode is intended to self-repair after problems, and
to require no manual maintenance.

%description -l de.UTF-8
Leafnode ist ein offline-Newsserver, der vor allem für den typischen
Einzelnutzer-Rechner ohne permanente Internetanbindung geeignet ist.
Leafnode bezieht automatisch die Newsgroups, die der oder die Nutzer
regelmaessig lesen, vom Newsserver des Providers.

%description -l pl.UTF-8
Leafnode to serwer USENET przeznaczony dla małych hostów, gdzie jest
niewielu użytkowników i mało miejsca na dyskach ale duża liczba grup
usenet jest pożądana.

leafnode jest zaprojektowany jako samo-naprawiający się i nie
wymagający ręcznego zarządzania.

%description -l pt_BR.UTF-8
O Leafnode é um software desenvolvido para disponibilizar acesso à
USENET para pequenos sites rodando qualquer tipo de Unix, com pocas
dezenas de leitores e um pequeno link para a net.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
	--with-ipv6 \
	--sysconfdir=%{_sysconfdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cron.daily,%{name},sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT%{_var}/lock/news \
	$RPM_BUILD_ROOT%{_var}/log/news

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/texpire
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/config
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/filters
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/leafnode

# unused stuff
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/Makefile.dist
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/config.example
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/filters.example

# daemontools stuff
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/UNINSTALL-daemontools
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/nntp.rules.dist
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/run.tcpd.dist
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/run.tcpserver.dist

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload

%postun
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README tools/archivefaq.pl update.sh
%attr(755,root,root) /etc/cron.daily/texpire
%attr(755,news,news) %dir %{_sysconfdir}/%{name}
%attr(600,news,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/config
%attr(600,news,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/filters
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/leafnode
%{_mandir}/man*/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(755,news,news) %dir  %{_var}/lock/news
%attr(2775,news,news) %dir %{_var}/spool/news
%attr(775,news,news) %dir  %{_var}/spool/news/*
%attr(775,news,news) %dir  %{_var}/spool/news/message.id
%attr(775,news,news) %dir  %{_var}/log/news

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: leafnode.spec,v $
Revision 1.73  2008/10/01 11:40:51  glen
- update to 1.11.6; cleanups, adapter

Revision 1.72  2008/01/26 16:10:24  vip
- (noreplace) %verify(not md5 mtime size) added for configs

Revision 1.71  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.70  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.69  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.68  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.67  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.66  2005/06/08 20:26:27  saq
- up to 1.11.2

Revision 1.65  2005/04/27 20:37:38  qboosh
- unified

Revision 1.64  2005/04/27 20:34:40  paszczus
- removed TODO from %doc

Revision 1.63  2005/04/27 20:27:00  paszczus
- updated to 1.11.1

Revision 1.62  2005/01/21 20:52:39  paszczus
- updated to 1.10.8
- STBR

Revision 1.61  2005/01/04 23:41:50  jm
- rel. up (forgot after last fix)
- STBR

Revision 1.60  2005/01/04 01:15:49  jm
- small change in files section, partialy sugested by Tomasz Grobelny

Revision 1.59  2004/12/11 09:41:28  adamg
- updated to 1.10.7

Revision 1.58  2004/09/22 20:34:01  paszczus
- updated to 1.10.6

Revision 1.57  2004/08/26 20:09:58  paszczus
- updated to 1.10.5

Revision 1.56  2004/08/15 17:21:04  paszczus
- updated to 1.10.4

Revision 1.55  2004/08/01 19:13:43  adamg
- updated to 1.10.3

Revision 1.54  2004/07/20 21:24:57  arekm
- updated to 1.10.2

Revision 1.53  2004/07/01 14:18:29  jm
- update to 1.10.1

Revision 1.52  2004/06/11 11:38:18  paszczus
- release 1

Revision 1.51  2004/06/11 07:46:58  paszczus
- updated to 1.10.0

Revision 1.50  2004/05/23 17:29:56  adamg
- updated to 1.9.54

Revision 1.49  2004/05/09 14:56:24  adamg
- updated to 1.9.53

Revision 1.48  2004/04/04 16:41:44  adamg
- updated to 1.9.52

Revision 1.47  2004/04/03 09:57:23  jm
- wrr...this Patch0 shouldn't look like that - maybe now would be better

Revision 1.46  2004/04/03 09:54:14  jm
- cosmetics

Revision 1.45  2004/04/03 09:45:41  jm
- fixes and patch based on sugestins by Tomasz Grobelny

Revision 1.44  2004/02/22 19:12:11  adamg
- updated to 1.9.51

Revision 1.43  2004/01/31 18:38:54  undefine
- update to 1.9.49

Revision 1.42  2004/01/09 14:44:42  adamg
- updated to 1.9.48

Revision 1.41  2004/01/07 09:54:48  adamg
- updated to 1.9.47

Revision 1.40  2003/12/23 15:46:25  eothane
- updated to 1.9.46

Revision 1.39  2003/12/01 15:51:26  zytek
- change sysconfdir (From: Grzegorz Pietrzak <grzes@artikon.one.pl>  (Artikon))

Revision 1.38  2003/10/22 14:41:31  adamg
- updated to 1.9.44

Revision 1.37  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.36  2003/09/05 19:37:32  blues
- cosmetics

Revision 1.35  2003/09/05 08:56:53  orzech
- up to 1.9.43 (fix leafnode-SA-2003:01)

Revision 1.34  2003/07/23 00:40:56  undefine
- pt_BR translation

Revision 1.33  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 05:49:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2002/11/27 21:10:40  juandon
- new %doc

Revision 1.30  2002/05/21 23:13:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/04/11 14:21:40  qboosh
- Obsoletes: leafnode+, Conflicts: inn; release 2

Revision 1.28  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:13:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/12/09 16:01:02  misiek
- added BR: pcre-devel

Revision 1.25  2001/12/09 15:56:12  misiek
- update to 1.9.19

Revision 1.24  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.23  2001/10/11 13:01:20  qboosh
- BuildRequires: autoconf

Revision 1.22  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.21  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.19  2001/05/02 16:29:07  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.18  2001/03/21 22:32:18  kloczek
- merge de %description found in MDK spec file.

Revision 1.17  2001/03/21 22:30:00  kloczek
- rewrited - probably now it will be more useable and also now is compliant
  with our spec writing standards.

Revision 1.16  2001/03/21 15:46:29  mis
- updated (by autoup) to 1.9.18

Revision 1.15  2001/01/24 13:51:13  waszi
- changed owner /usr/sbin/leafnode to root.news

Revision 1.14  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.13  2000/09/23 23:12:04  areq
- updated to 1.9.17

Revision 1.12  2000/06/09 07:23:18  kloczek
- added using %{__make} macro.

Revision 1.11  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.10  2000/04/08 23:52:00  zagrodzki
- provides: nntpserver (to avoid using conflicts: ... many, many times)

Revision 1.9  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.7  2000/03/23 10:15:20  cieciwa
- fixed description.

Revision 1.6  2000/01/06 15:12:57  jajcus
- version 1.9.9

Revision 1.5  1999/10/11 07:04:01  waszi
- small fixes

Revision 1.4  1999/10/06 06:54:22  waszi
- support for rc-inetd

Revision 1.3  1999/08/23 13:30:54  misiek
- with-ipv6 instead of enable-ipv6

Revision 1.2  1999/08/23 13:10:03  misiek
- added:
  - IPv6 fix by me
  - headers fix by Artur Frysiak

Revision 1.1  1999/07/21 14:06:45  misiek
- initial spec
